Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Class Dataset3DChangeEvent

java.lang.Object
java.util.EventObject
org.jfree.chart3d.data.Dataset3DChangeEvent

All Implemented Interfaces:
  `Serializable`

public class Dataset3DChangeEvent extends EventObject
A dataset change event. Any object that implements the `Dataset3DChangeListener` interface can register with a dataset to receive notification of change events. By default, the plot classes in Orson Charts register with their dataset to monitor dataset changes.
NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.EventObject

`source`

## Constructor Summary

Constructors
Constructor
Description
`Dataset3DChangeEvent(Object source, Object dataset)`
Creates a new dataset change event.

## Method Summary

Modifier and Type
Method
Description
`Object`
`getDataset()`
Returns the dataset that this event is associated with.

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Dataset3DChangeEvent

public Dataset3DChangeEvent(Object source, Object dataset)
Creates a new dataset change event. The source can be the same as the dataset, but this is not required.

Parameters:
  `source` - the source.
  `dataset` - the dataset.

## Method Details

### getDataset

public Object getDataset()
Returns the dataset that this event is associated with. This will normally be an instance of `PieDataset3D`, `CategoryDataset3D` or `XYZDataset`.

Returns:
  The dataset.